Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::view::addressof_fn Struct Reference

## Synopsis of methods
constexpr view< addressof_fn > | addressof {}

## Public Member Functions
template<typename Rng >
requires ViewableRange< Rng > &&InputRange< Rng > &&std::is_lvalue_reference< range_reference_t< Rng > >::value constexpr auto | operator() (Rng &&rng) const noexcept(noexcept(decltype(transform(all(static_cast< Rng && >(rng)), take_address{}))(transform(all(static_cast< Rng && >(rng)), take_address{})))) -> decltype(transform(all(static_cast< Rng && >(rng)), take_address